import request from '@/utils/request'

// 查询聊天消息列表列表
export function listChatMsg(query) {
  return request({
    url: '/bst/chatMsg/list',
    method: 'get',
    params: query
  })
}

// 查询聊天消息列表详细
export function getChatMsg(id) {
  return request({
    url: '/bst/chatMsg/' + id,
    method: 'get'
  })
}

// 新增聊天消息列表
export function addChatMsg(data) {
  return request({
    url: '/bst/chatMsg',
    method: 'post',
    data: data
  })
}

// 修改聊天消息列表
export function updateChatMsg(data) {
  return request({
    url: '/bst/chatMsg',
    method: 'put',
    data: data
  })
}

// 删除聊天消息列表
export function delChatMsg(id) {
  return request({
    url: '/bst/chatMsg/' + id,
    method: 'delete'
  })
}
